svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state
    transition(duration="500ms")
    property(name="range" min="0" max="100" type="number" initial="0")
      relation(query-selector='#strict' attribute-type='CSS' attribute-name='width' values='0%;100%;0%')
        transition(type='strict')
      relation(query-selector='#direct' attribute-type='CSS' attribute-name='width' values='0%;100%;0%')
        transition(type='direct')
      relation(query-selector='#def' attribute-type='CSS' attribute-name='width' values='0%;100%;0%')

      // non-interpolatable value must not be tweened when transition is direct
      relation(query-selector='#direct' attribute-type='CSS' attribute-name='fill' values='"red";"blue"')
        transition(type='direct')

  rect#strict(width="0%" height="5%" style="fill:red;")
  rect#direct(width="0%" height="5%" style="fill:red;")
  rect#def(width="0%" height="5%" style="fill:red;")
